Bug 294349 - Plasma crashed while right clicking system tray [@ StatusNotifierItemJob::contextMenuReady]
Summary: Plasma crashed while right clicking system tray [@ StatusNotifierItemJob::con...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: general (show other bugs)
Version: 4.9.1
Platform: OpenSUSE Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 300583 301539 302016 305243 305851 306157 307375 332349 333311 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-18 11:14 UTC by jamie.fell
Modified: 2018-06-08 18:35 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (7.48 KB, text/plain)
2012-06-14 08:08 UTC, Thibaut Renaux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jamie.fell 2012-02-18 11:14:23 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.8.00 (4.8.0 "release 462"
Qt Version: 4.8.0
Operating System: Linux 3.1.9-1.4-desktop x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
I was opening the system tray options when Plasma crashed..

The crash does not seem to be reproducible.

-- Backtrace:
Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f683d52e760 (LWP 8044))]

Thread 19 (Thread 0x7f681c7d5700 (LWP 8046)):
#0  0x00007f68378f9b45 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f68378fa92d in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f68378faf59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f683c18a956 in QEventDispatcherGlib::processEvents (this=0x7f68140008e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f683c15a682 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f683c15a8d7 in QEventLoop::exec (this=0x7f681c7d4d30, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f683c05b537 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f683c13a48f in QInotifyFileSystemWatcherEngine::run (this=0x911630) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f683c05e55b in QThreadPrivate::start (arg=0x911630) at thread/qthread_unix.cpp:298
#9  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f680a1ae700 (LWP 8054)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6830bd0942 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f6830ec9e80) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f6830bd0979 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#4  0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f6803bfe700 (LWP 8417)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f683c05e55b in QThreadPrivate::start (arg=0x1733370) at thread/qthread_unix.cpp:298
#8  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#9  0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f681192a700 (LWP 8418)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f683c05e55b in QThreadPrivate::start (arg=0x2529bb0) at thread/qthread_unix.cpp:298
#12 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#13 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f6800d86700 (LWP 8419)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#12 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#13 0x00007f683c05e55b in QThreadPrivate::start (arg=0x281ce60) at thread/qthread_unix.cpp:298
#14 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#15 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#16 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f67fbfff700 (LWP 8420)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f683c05e55b in QThreadPrivate::start (arg=0x2ebb090) at thread/qthread_unix.cpp:298
#12 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#13 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f67f3fff700 (LWP 8421)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f683c05e55b in QThreadPrivate::start (arg=0x3330f00) at thread/qthread_unix.cpp:298
#9  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f67fb7fe700 (LWP 8422)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#12 0x00007f683c05e55b in QThreadPrivate::start (arg=0x1863170) at thread/qthread_unix.cpp:298
#13 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#14 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#15 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f67faffd700 (LWP 8423)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f683c05e55b in QThreadPrivate::start (arg=0x1804bd0) at thread/qthread_unix.cpp:298
#11 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#12 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f67fa7fc700 (LWP 8424)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f683c05e55b in QThreadPrivate::start (arg=0x1d6d5d0) at thread/qthread_unix.cpp:298
#9  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f67f9ffb700 (LWP 8425)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f683c05e55b in QThreadPrivate::start (arg=0xeb6d60) at thread/qthread_unix.cpp:298
#9  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f67f97fa700 (LWP 8426)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f683c05e55b in QThreadPrivate::start (arg=0x9ad950) at thread/qthread_unix.cpp:298
#11 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#12 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f67f8ff9700 (LWP 8428)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f683c05e55b in QThreadPrivate::start (arg=0x9b7910) at thread/qthread_unix.cpp:298
#12 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#13 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f67f37f6700 (LWP 8429)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f683c05e55b in QThreadPrivate::start (arg=0x2e89f50) at thread/qthread_unix.cpp:298
#9  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f67f2ff5700 (LWP 8430)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f683c05e55b in QThreadPrivate::start (arg=0x2e0fd00) at thread/qthread_unix.cpp:298
#8  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#9  0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f67f27f4700 (LWP 8431)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#12 0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#14 0x00007f683c05e55b in QThreadPrivate::start (arg=0x986060) at thread/qthread_unix.cpp:298
#15 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#16 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f67f1ff3700 (LWP 8432)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f682fe25274 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f683c05e55b in QThreadPrivate::start (arg=0x28203f0) at thread/qthread_unix.cpp:298
#11 0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#12 0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f67f17f2700 (LWP 8433)):
#0  0x00007f683bdcae6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f683c05ea6b in wait (time=18446744073709551615, this=0xee4590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe5ebb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f682fe2296b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f682fe2525b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f682fe240cf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f682fe2415b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f683c05e55b in QThreadPrivate::start (arg=0x2cf6c60) at thread/qthread_unix.cpp:298
#8  0x00007f682cec92da in ?? () from /usr/X11R6/lib64/libGL.so.1
#9  0x00007f683bdc6f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f683ab2663d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f683d52e760 (LWP 8044)):
[KCrash Handler]
#6  QCoreApplication::postEvent (receiver=0x29e50a0, event=0x3e640a0, priority=0) at kernel/qcoreapplication.cpp:1273
#7  0x00007f681880e5ac in StatusNotifierItemJob::contextMenuReady (this=0x29e50a0, menu=0x1c0db90) at /usr/src/debug/kde-workspace-4.8.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#8  0x00007f683c16f761 in QMetaObject::activate (sender=0x11e0ff0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffb102b560) at kernel/qobject.cpp:3556
#9  0x00007f681880a5bf in StatusNotifierItemSource::contextMenuReady (this=<optimized out>, _t1=0x1c0db90) at /usr/src/debug/kde-workspace-4.8.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.moc:123
#10 0x00007f681880d515 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kde-workspace-4.8.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.moc:65
#11 StatusNotifierItemSource::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kde-workspace-4.8.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.moc:58
#12 0x00007f683c16f761 in QMetaObject::activate (sender=0x2635140, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3556
#13 0x00007f6839942f2c in DBusMenuImporter::slotMenuAboutToShow (this=0x2635140) at /usr/src/debug/libdbusmenu-qt-0.9.0/src/dbusmenuimporter.cpp:523
#14 0x00007f683c16f761 in QMetaObject::activate (sender=0x1c0db90, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3556
#15 0x00007f683c1633c1 in QMetaMethod::invoke (this=0x7fffb102bc70, object=0x1c0db90, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1641
#16 0x00007f683c1656d0 in QMetaObject::invokeMethod (obj=0x1c0db90, member=<optimized out>, type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#17 0x00007f6839942721 in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., member=0x7f6839955e74 "aboutToShow", obj=<optimized out>) at /usr/include/QtCore/qobjectdefs.h:434
#18 DBusMenuImporter::updateMenu (this=<optimized out>) at /usr/src/debug/libdbusmenu-qt-0.9.0/src/dbusmenuimporter.cpp:456
#19 0x00007f681880a1bb in StatusNotifierItemSource::contextMenu (this=0x11e0ff0, x=1130, y=763) at /usr/src/debug/kde-workspace-4.8.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:466
#20 0x00007f681880f70f in StatusNotifierItemJob::start (this=0x29e50a0) at /usr/src/debug/kde-workspace-4.8.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:43
#21 0x00007f683c174926 in QObject::event (this=0x29e50a0, e=<optimized out>) at kernel/qobject.cpp:1204
#22 0x00007f683b2c3e84 in notify_helper (e=0x334ae50, receiver=0x29e50a0, this=0x72a160) at kernel/qapplication.cpp:4550
#23 QApplicationPrivate::notify_helper (this=0x72a160, receiver=0x29e50a0, e=0x334ae50) at kernel/qapplication.cpp:4522
#24 0x00007f683b2c8d03 in QApplication::notify (this=0x6fb2d0, receiver=0x29e50a0, e=0x334ae50) at kernel/qapplication.cpp:4411
#25 0x00007f683cf1a786 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#26 0x00007f683c15b89c in QCoreApplication::notifyInternal (this=0x6fb2d0, receiver=0x29e50a0, event=0x334ae50) at kernel/qcoreapplication.cpp:876
#27 0x00007f683c15f13a in sendEvent (event=0x334ae50, receiver=0x29e50a0) at kernel/qcoreapplication.h:231
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6153d0) at kernel/qcoreapplication.cpp:1500
#29 0x00007f683c18a4c3 in sendPostedEvents () at kernel/qcoreapplication.h:236
#30 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#31 0x00007f68378fa58d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#32 0x00007f68378fad88 in ?? () from /usr/lib64/libglib-2.0.so.0
#33 0x00007f68378faf59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#34 0x00007f683c18a8ef in QEventDispatcherGlib::processEvents (this=0x71d050, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#35 0x00007f683b3672de in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#36 0x00007f683c15a682 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007f683c15a8d7 in QEventLoop::exec (this=0x7fffb102cd90, flags=...) at kernel/qeventloop.cpp:204
#38 0x00007f683c15f435 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#39 0x00007f6828c84003 in kdemain (argc=1, argv=0x74fa00) at /usr/src/debug/kde-workspace-4.8.0/plasma/desktop/shell/main.cpp:120
#40 0x00000000004088e4 in _start ()

Possible duplicates by query: bug 289813, bug 289613, bug 288377, bug 287248, bug 285614.

Reported using DrKonqi
Comment 1 Jekyll Wu 2012-05-25 01:38:36 UTC
*** Bug 300583 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2012-05-26 00:32:09 UTC
Bump version from duplicate, and change status.
Comment 3 Myriam Schweingruber 2012-06-10 00:42:46 UTC
*** Bug 301539 has been marked as a duplicate of this bug. ***
Comment 4 Thibaut Renaux 2012-06-14 08:08:52 UTC
Created attachment 71819 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Right-clicked on the icon of an application that was about to close (Bitcasa)

-- Backtrace (Reduced):
#6  0x00007f193ea5923c in QMutex::lock (this=0x2dad9d0) at thread/qmutex.cpp:151
#7  0x00007f193eb48999 in QCoreApplication::postEvent (receiver=0x2578580, event=0x2d82b80, priority=0) at kernel/qcoreapplication.cpp:1196
#8  0x00007f19256fcbec in StatusNotifierItemJob::contextMenuReady (this=0x2578580, menu=0x2e2bb30) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f19256fcc50 in StatusNotifierItemJob::qt_metacall (this=0x2578580, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff8ac59c0) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f19256f8bdf in StatusNotifierItemSource::contextMenuReady (this=<optimized out>, _t1=0x2e2bb30) at ./statusnotifieritemsource.moc:109
Comment 5 Jekyll Wu 2012-06-16 22:44:28 UTC
*** Bug 302016 has been marked as a duplicate of this bug. ***
Comment 6 Thijs 2012-06-22 08:52:24 UTC

*** This bug has been marked as a duplicate of bug 241562 ***
Comment 7 Jekyll Wu 2012-08-20 05:03:55 UTC
*** Bug 305243 has been marked as a duplicate of this bug. ***
Comment 8 Jekyll Wu 2012-08-20 05:17:35 UTC
not a duplicate of 241562
Comment 9 Myriam Schweingruber 2012-09-08 09:27:01 UTC
Confirmed by duplicates.
Comment 10 Myriam Schweingruber 2012-09-08 13:21:21 UTC
*** Bug 306157 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2012-10-06 02:53:25 UTC
*** Bug 305851 has been marked as a duplicate of this bug. ***
Comment 12 Jekyll Wu 2012-10-06 02:53:31 UTC
*** Bug 307375 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2013-11-23 23:02:55 UTC
Jekyll, why is this no duplicate of bug 241562?
Comment 14 Jekyll Wu 2014-03-20 12:43:53 UTC
*** Bug 332349 has been marked as a duplicate of this bug. ***
Comment 15 Jekyll Wu 2014-04-12 00:28:46 UTC
*** Bug 333311 has been marked as a duplicate of this bug. ***
Comment 16 kdebugs 2014-11-01 08:19:26 UTC
Happened to me while I was running a disk-intensive search program and tried to quit Skype.  Not sure if that indicates a possible race condition or if it was just coincidence.
Comment 17 Nate Graham 2018-06-08 18:35:57 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug has already been resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham